@import url("https://fonts.googleapis.com/css2?family=Space+Mono:wght@400;500;700&display=swap");
html {
  box-sizing: border-box; }

*,
*::before,
*::after {
  box-sizing: inherit; }

body {
  font-size: 62.5%;
  font-family: 'Space Mono', monospace; }

span {
  display: block; }

a {
  text-decoration: none; }

.entry-header {
  font-size: .65rem;
  color: #5e7a7d; }

.result-primary-header {
  font-size: .8rem;
  color: white;
  font-weight: 900; }

.result-sub-header {
  font-size: .6rem;
  color: #7f9c9f;
  font-weight: 400; }

.tip-result, .total-result {
  font-size: 2.5rem;
  color: #26c0ab;
  font-weight: 700; }

.error-header {
  font-size: .65rem;
  color: rgba(255, 0, 0, 0.5); }

.hidden {
  display: none; }

.calculator {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 2.5rem;
  max-width: 45rem;
  padding: 2rem;
  border-radius: 1rem;
  background-color: white; }
  @media only screen and (max-width: 675px) {
    .calculator {
      grid-template-columns: 1fr; } }
  .calculator .entries .tips .numpad {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 1rem; }
    @media only screen and (max-width: 675px) {
      .calculator .entries .tips .numpad {
        grid-template-columns: 1fr 1fr; }
        .calculator .entries .tips .numpad > * {
          min-height: 2.3rem; } }
  .calculator .entries .entry-detail {
    display: flex;
    justify-content: space-between; }
  .calculator .results {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1.5rem;
    background-color: #00494d;
    border-radius: .6rem; }
    @media only screen and (max-width: 675px) {
      .calculator .results {
        margin-top: 1rem; } }
    .calculator .results .result {
      display: flex;
      justify-content: space-between;
      align-items: center; }

.reset-button {
  color: #00494d;
  transition: 300ms all;
  border: none;
  background-color: #26c0ab;
  border-radius: .3rem;
  padding: .5rem;
  text-transform: uppercase;
  font-weight: 700;
  cursor: pointer;
  /*
  &:hover {
    background-color: lighten($strong-cyan,25%);
  }

  */ }
  @media only screen and (max-width: 675px) {
    .reset-button {
      margin-top: 2rem; } }
  .reset-button:active {
    transform: translateY(3px); }

.digit {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #00494d;
  color: white;
  border-radius: .2rem;
  font-size: .95rem;
  transition: 300ms all;
  font-weight: 700; }
  .digit:hover {
    color: #00494d;
    background-color: #7fe6d8;
    box-shadow: 0 10px 10px rgba(46, 229, 157, 0.4); }
  .digit:active {
    transform: translateY(3px);
    box-shadow: none; }

.custom-input, .bill-entry, .custom-entry, .people-entry {
  padding: .5rem;
  background-color: #f4fafa;
  border-radius: .3rem;
  border: 2px solid transparent;
  transition: 300ms all;
  width: 100%;
  text-align: right;
  color: #00494d;
  font-weight: 700;
  font-size: 1rem; }
  .custom-input:focus, .bill-entry:focus, .custom-entry:focus, .people-entry:focus {
    outline: none;
    border: 2px solid #26c0ab; }
  .custom-input::-webkit-input-placeholder, .bill-entry::-webkit-input-placeholder, .custom-entry::-webkit-input-placeholder, .people-entry::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: #7f9c9f;
    font-weight: 600;
    font-size: 1rem; }

.bill-entry {
  background-image: url("/images/icon-dollar.svg");
  background-repeat: no-repeat;
  background-position: 3% 50%;
  background-size: .6rem; }

.custom-entry::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: #5e7a7d;
  font-weight: 700;
  font-size: 1rem; }

.people-entry {
  background-image: url("/images/icon-person.svg");
  background-repeat: no-repeat;
  background-position: 3% 50%;
  background-size: .6rem; }

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #c5e4e7; }

.u-margin-top-small {
  margin-top: 1rem; }

.u-margin-top-medium {
  margin-top: 1.85rem; }

.border-error {
  border: 2px solid rgba(255, 0, 0, 0.5); }
  .border-error:focus {
    border: 2px solid rgba(255, 0, 0, 0.5); }

.selected:focus {
  background-color: #7fe6d8; }
